.sidemenu {
  background-color: $backgroundSideMenu;
  padding-top: 0.5rem;
  color: $white;
  font-size: 0.97rem;
  display: block;
  text-align: left;
  top: 0px;
  left: 0px;
  right: auto;
  bottom: auto;
  overflow-y: auto;
  width: $longueurSideMenu;
  height: 100%;
  box-shadow: $shadowSidemenu;
  position: fixed;
  z-index: 99;

  //scrollbar
  &::-webkit-scrollbar-track
  {
    background-color: transparent;
  }

  &::-webkit-scrollbar
  {
    width: 8px;
    background-color: transparent;
  }

  &::-webkit-scrollbar-thumb
  {
    border-radius: 5px;  
    box-shadow: inset 0 0 6px rgba(0,0,0,0.5);
    background-color: #666;
  }

  ul {
    list-style-type: none;
  }
  li {
    list-style-type: none;
  }

  &-submenu {
    display: none;
    &--expanded {
      display: block;
    }
  }

  &-image {
    box-align: center;
    align-items: center;
    display: flex;
    flex-shrink: 0;
    box-pack: center;
    //justify-content: center;
    padding: 1rem 1rem;
    .image {
      display: block;
      height: 3.5rem;
      width: 7rem;
      max-height: 100%;
      max-width: 100%;
    }
  }
}

/*a.sidemenu-category {
  padding: 1.5rem 0 1.5rem 1rem;
  cursor: pointer;
  text-decoration: none;
  color: $colorFontSideMenu;
  display: block;
  line-height: 1rem;
  text-transform: uppercase;
  //vertical-align: middle;
  letter-spacing: 0.01em;
  .fa {
    float: right;
    margin-right: 1rem;
    display: block;
    width: 1em;
    height: 1em;
  }
  &:hover {
    transition:all .15s ease-in;
    background-color: $bgHoveredItemSideMenu;
    color: $white;
    .fa {
      color: $white;
    }
  }
}*/

a.sidemenu-item {
  color: $colorFontSideMenu;
  display: block;
  cursor: pointer;
  text-decoration: none;
  line-height: 1rem;
  letter-spacing: -0.04em;
  user-select: none;
  transition:all .15s ease-in;
  padding: 1.5rem 0 1.5rem 1rem;
  .fa {
    float: right;
    margin-right: 1rem;
    display: block;
    width: 1em;
    height: 1em;
  }
  &:hover {
    background-color: $bgHoveredItemSideMenu;
    color: $white;
    > .fa-angle-right {
      color: $white;
    }
  }
  &--active {
    background-image: $primary !important;
    color: $white;
    > .fa-angle-right {
      color: $white;
    }
  }
  &--logout {
    position: absolute;
    bottom: 0;
    width: 100%;
  }
}
